Index: libCERTI/PrettyDebug.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/PrettyDebug.hh,v
retrieving revision 4.4
diff -u -r4.4 PrettyDebug.hh
--- libCERTI/PrettyDebug.hh	9 Aug 2007 09:22:45 -0000	4.4
+++ libCERTI/PrettyDebug.hh	2 Apr 2009 19:56:32 -0000
@@ -19,7 +19,7 @@
 // Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 // USA
 //
-// $Id: PrettyDebug.hh,v 4.4 2007/08/09 09:22:45 rousse Exp $
+// $Id: PrettyDebug.hh,v 4.4.8.1 2009/02/10 18:25:15 erk Exp $
 // ----------------------------------------------------------------------------
 
 #ifndef PRETTYDEBUG_HH
@@ -131,7 +131,8 @@
     inline void Out(pdDebugLevel Level, const char *Format, ...) {};
 #else
 	void Out(pdDebugLevel Level, const char *Format, ...);
-	void Mes(pdDebugLevel Level, const char type, const short testMess, const char *context);
+	void Mes(pdDebugLevel Level, const char type, const short testMess, const char *context);
+
 #endif
 
 };
@@ -142,4 +143,4 @@
 
 #endif // PRETTYDEBUG_HH
 
-// $Id: PrettyDebug.hh,v 4.4 2007/08/09 09:22:45 rousse Exp $
+// $Id: PrettyDebug.hh,v 4.4.8.1 2009/02/10 18:25:15 erk Exp $
Index: libCERTI/GAV.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/GAV.hh,v
retrieving revision 3.13
diff -u -r3.13 GAV.hh
--- libCERTI/GAV.hh	7 Dec 2008 20:16:13 -0000	3.13
+++ libCERTI/GAV.hh	2 Apr 2009 19:56:32 -0000
@@ -27,7 +27,7 @@
 
 namespace certi {
 
-class AttributeHandleSet
+class CERTI_EXPORT AttributeHandleSet
     : public std::list<AttributeHandle>
 {
 public:
@@ -47,8 +47,8 @@
 
     virtual void empty();
 
-    virtual RTI::Boolean isEmpty() const ;
-    virtual RTI::Boolean isMember(AttributeHandle h) const ;
+    virtual bool isEmpty() const ;
+    virtual bool isMember(AttributeHandle h) const ;
 };
 
 class FederateHandleSet : public std::list<FederateHandle>
@@ -70,7 +70,7 @@
 
     virtual void empty();
 
-    virtual RTI::Boolean isMember(FederateHandle h) const ;
+    virtual bool isMember(FederateHandle h) const ;
 };
 
 class AttributeHandleValuePair
@@ -118,9 +118,6 @@
     virtual OrderType getOrderType(ULong i) const
         throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext);
 
-    virtual RTI::Region *getRegion(ULong i) const
-        throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext);
-
     virtual void add(Handle h, const char *buff, ULong valueLength)
         throw (ValueLengthExceeded, ValueCountExceeded);
     virtual void remove(Handle h) throw (ArrayIndexOutOfBounds);
@@ -174,9 +171,6 @@
     virtual OrderType getOrderType() const
         throw (InvalidHandleValuePairSetContext);
 
-    virtual RTI::Region *getRegion() const
-        throw (InvalidHandleValuePairSetContext);
-
     virtual void add(Handle h, const char *buff, ULong valueLength)
         throw (ValueLengthExceeded, ValueCountExceeded);
 
Index: libCERTI/Message.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Message.cc,v
retrieving revision 3.62
diff -u -r3.62 Message.cc
--- libCERTI/Message.cc	7 Dec 2008 20:16:14 -0000	3.62
+++ libCERTI/Message.cc	2 Apr 2009 19:56:32 -0000
@@ -197,23 +197,23 @@
     @param the_time federation time
 */
 void
-Message::setFedTime(const RTI::FedTime &the_time)
+Message::setFedTime(const double the_time)
 {
-    fed_time = dynamic_cast<const RTIfedTime &>(the_time);
+    fed_time = the_time;
 }
 
 // ----------------------------------------------------------------------------
 void
-Message::setLookahead(const RTI::FedTime& the_lookahead)
+Message::setLookahead(const double the_lookahead)
 {
-    lookahead = (FederationTimeDelta) ((RTIfedTime&) the_lookahead).getTime();
+    lookahead = the_lookahead;
 }
 
 // ----------------------------------------------------------------------------
 void
 Message::setFederationTime(FederationTime the_time)
 {
-    fed_time = RTIfedTime(the_time);
+    fed_time = the_time;
 }
 
 // ----------------------------------------------------------------------------
@@ -238,14 +238,14 @@
 
 // ----------------------------------------------------------------------------
 void
-Message::setTransportation(RTI::TransportationHandle the_transport)
+Message::setTransportation(TransportType the_transport)
 {
     transport = the_transport;
 }
 
 // ----------------------------------------------------------------------------
 void
-Message::setOrdering(RTI::OrderingHandle the_ordering)
+Message::setOrdering(OrderType the_ordering)
 {
     order = the_ordering;
 }
Index: libCERTI/NetworkMessage.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/NetworkMessage.hh,v
retrieving revision 3.44
diff -u -r3.44 NetworkMessage.hh
--- libCERTI/NetworkMessage.hh	20 Nov 2008 18:21:56 -0000	3.44
+++ libCERTI/NetworkMessage.hh	2 Apr 2009 19:56:32 -0000
@@ -23,7 +23,7 @@
 #ifndef CERTI_NETWORK_MESSAGE_HH
 #define CERTI_NETWORK_MESSAGE_HH
 
-#include "fedtime.hh"
+#include "FedTimeD.hh"
 #include "Exception.hh"
 #include "Socket.hh"
 #include "RTIRegion.hh"
Index: libCERTI/Message_W.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/Message_W.cc,v
retrieving revision 3.39
diff -u -r3.39 Message_W.cc
--- libCERTI/Message_W.cc	21 Nov 2008 12:45:25 -0000	3.39
+++ libCERTI/Message_W.cc	2 Apr 2009 19:56:32 -0000
@@ -17,7 +17,7 @@
 // Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 // USA
 //
-// $Id: Message_W.cc,v 3.39 2008/11/21 12:45:25 approx Exp $
+// $Id: Message_W.cc,v 3.39.4.1 2009/01/05 13:34:51 gotthardp Exp $
 // ----------------------------------------------------------------------------
 
 
@@ -494,7 +494,7 @@
           case ENABLE_TIME_CONSTRAINED:
           case DISABLE_TIME_CONSTRAINED:
             msgBuffer.write_bool(boolean);
-            msgBuffer.write_double(lookahead);
+            msgBuffer.write_double(lookahead.getTime());
             break ;
 
 	  // Body contains boolean
@@ -527,7 +527,7 @@
           case MODIFY_LOOKAHEAD:
           case QUERY_LOOKAHEAD:
             // we put another time but is the lookahead
-	    msgBuffer.write_double(lookahead) ;
+	    msgBuffer.write_double(lookahead.getTime());
             break ;
             // -- Default Handler --
 
@@ -564,7 +564,7 @@
     // Note sometimes federationTime is not useful.
     msgBuffer.write_int32(this->type) ;
     msgBuffer.write_int32(this->exception);
-    msgBuffer.write_double(getFederationTime());
+    msgBuffer.write_double(getFederationTime().getTime());
 
     // If the message carry an exception, the Body will only contain the
     // exception reason.
@@ -609,4 +609,4 @@
 
 } // namespace certi
 
-// $Id: Message_W.cc,v 3.39 2008/11/21 12:45:25 approx Exp $
+// $Id: Message_W.cc,v 3.39.4.1 2009/01/05 13:34:51 gotthardp Exp $
Index: libCERTI/GAV.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/GAV.cc,v
retrieving revision 3.18
diff -u -r3.18 GAV.cc
--- libCERTI/GAV.cc	7 Dec 2008 20:16:13 -0000	3.18
+++ libCERTI/GAV.cc	2 Apr 2009 19:56:32 -0000
@@ -16,7 +16,7 @@
 // License along with this program ; if not, write to the Free Software
 // Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 //
-// $Id: GAV.cc,v 3.18 2008/12/07 20:16:13 gotthardp Exp $
+// $Id: GAV.cc,v 3.18.4.1 2009/01/05 13:34:51 gotthardp Exp $
 // ----------------------------------------------------------------------------
 
 #include "GAV.hh"
@@ -159,14 +159,6 @@
 }
 
 // ----------------------------------------------------------------------------
-RTI::Region *
-AttributeHandleValuePairSet::getRegion(ULong) const
-    throw (ArrayIndexOutOfBounds, InvalidHandleValuePairSetContext)
-{
-    throw RTIinternalError("Unimplemented service");
-}
-
-// ----------------------------------------------------------------------------
 void
 AttributeHandleValuePairSet::add(Handle h,
                                     const char *buff,
@@ -286,7 +278,7 @@
 AttributeHandleSet::remove(AttributeHandle h)
     throw (AttributeNotDefined)// not guaranteed safe while iterating
 {
-    if (isMember(h) == RTI::RTI_TRUE)
+    if (isMember(h) == true)
         list<AttributeHandle>::remove(h);
     else
         throw AttributeNotDefined("");
@@ -300,17 +292,17 @@
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean
+bool
 AttributeHandleSet::isEmpty() const
 {
-    return RTI::Boolean(list<AttributeHandle>::empty());
+    return list<AttributeHandle>::empty();
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean
+bool
 AttributeHandleSet::isMember(AttributeHandle h) const
 {
-    return RTI::Boolean(find(begin(), end(), h) != end());
+    return find(begin(), end(), h) != end();
 }
 
 // ----------------------------------------------------------------------------
@@ -356,7 +348,7 @@
 FederateHandleSet::remove(FederateHandle h)
     throw (ArrayIndexOutOfBounds)
 {
-    if (isMember(h) == RTI::RTI_TRUE)
+    if (isMember(h) == true)
         list<FederateHandle>::remove(h);
     else
         throw AttributeNotDefined("");
@@ -370,10 +362,10 @@
 }
 
 // ----------------------------------------------------------------------------
-RTI::Boolean
+bool
 FederateHandleSet::isMember(FederateHandle h) const
 {
-    return RTI::Boolean(find(begin(), end(), h) != end());
+    return find(begin(), end(), h) != end();
 }
 
 // ----------------------------------------------------------------------------
@@ -499,14 +491,6 @@
 }
 
 // ----------------------------------------------------------------------------
-RTI::Region *
-ParameterHandleValuePairSet::getRegion() const
-    throw (InvalidHandleValuePairSetContext)
-{
-    throw RTIinternalError("Unimplemented service");
-}
-
-// ----------------------------------------------------------------------------
 void
 ParameterHandleValuePairSet::add(Handle h,
                                     const char *buff,
@@ -581,5 +565,5 @@
 
 } // namespace certi
 
-// $Id: GAV.cc,v 3.18 2008/12/07 20:16:13 gotthardp Exp $
+// $Id: GAV.cc,v 3.18.4.1 2009/01/05 13:34:51 gotthardp Exp $
 
Index: libCERTI/Message.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/Message.hh,v
retrieving revision 3.54
diff -u -r3.54 Message.hh
--- libCERTI/Message.hh	7 Dec 2008 20:16:14 -0000	3.54
+++ libCERTI/Message.hh	2 Apr 2009 19:56:32 -0000
@@ -26,7 +26,7 @@
 #include "SocketUN.hh"
 #include "BasicMessage.hh"
 #include "GAV.hh"
-#include "fedtime.hh"
+#include "FedTimeD.hh"
 
 #include <vector>
 #include <string>
@@ -327,10 +327,10 @@
     void setResignAction(RTI::ResignAction);
     RTI::ResignAction getResignAction() const { return resignAction ; };
 
-    void setFedTime(const RTI::FedTime&);
-    const RTI::FedTime& getFedTime() const { return fed_time; };
+    void setFedTime(const double);
+    double getFedTime() const { return fed_time.getTime(); };
 
-    void setLookahead(const RTI::FedTime&);
+    void setLookahead(const double);
 
     void setFederationTime(FederationTime);
     FederationTime getFederationTime() const { return fed_time.getTime(); };
@@ -341,12 +341,12 @@
     void setObject(ObjectHandle);
     ObjectHandle getObject() const { return object ; };
 
-    void setTransportation(RTI::TransportationHandle);
-    RTI::TransportationHandle getTransportation() const
+    void setTransportation(TransportType);
+    TransportType getTransportation() const
     { return transport; }
 
-    void setOrdering(RTI::OrderingHandle);
-    RTI::OrderingHandle getOrdering() const
+    void setOrdering(OrderType);
+    OrderType getOrdering() const
     { return order; }
 
     void setEventRetraction(EventRetractionHandle);
@@ -389,7 +389,7 @@
     TypeException exception ;
     std::string exceptionReason;
 
-    RTIfedTime fed_time;
+    FedTime fed_time;
     bool boolean ;
     FederationTimeDelta lookahead ;
     FederateHandle federate ;
Index: libCERTI/CMakeLists.txt
===================================================================
RCS file: /sources/certi/certi/libCERTI/CMakeLists.txt,v
retrieving revision 1.24
diff -u -r1.24 CMakeLists.txt
--- libCERTI/CMakeLists.txt	18 Dec 2008 11:56:00 -0000	1.24
+++ libCERTI/CMakeLists.txt	2 Apr 2009 19:56:32 -0000
@@ -64,6 +64,7 @@
 )
 
 SET(CERTI_TIME_SRCS
+FedTime.cc FedTimeD.hh
 LBTS.cc
 LBTS.hh
 )
@@ -209,44 +210,7 @@
 
 SET_TARGET_PROPERTIES(CERTI PROPERTIES VERSION 1.0.0 SOVERSION 1)
 
-##################################################################
-# Lib FedTime 
-# A replacement lib FedTime may be provided by the user
-# CERTI is provided one. The lib FedTime depends on libRTI
-# since it inherits from the RTI::FedTime abstract class.
-##################################################################
-IF(CMAKE_COMPILER_IS_GNUCC)
-    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wno-long-long")
-ENDIF(CMAKE_COMPILER_IS_GNUCC)
-IF(CMAKE_COMPILER_IS_GNUCXX)
-    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-long-long")
-ENDIF(CMAKE_COMPILER_IS_GNUCXX)
-
-INCLUDE_DIRECTORIES(../libHLA)
-SET(FEDTIME_SRCS
-    FedTime.cc
-    ${CMAKE_SOURCE_DIR}/include/fedtime.hh
-)
-
-SOURCE_GROUP("Source Files\\FedTime" FILES ${FEDTIME_SRCS})
-
-ADD_LIBRARY(FedTime
-    ${FEDTIME_SRCS}
-)
-
-TARGET_LINK_LIBRARIES(FedTime RTI HLA)
-
-SET_TARGET_PROPERTIES(FedTime PROPERTIES PROJECT_LABEL LibFedTime)
-IF (MINGW)
-    SET_TARGET_PROPERTIES(FedTime PROPERTIES LINK_FLAGS "-Wl,--output-def,${LIBRARY_OUTPUT_PATH}/libFedTime.def")
-    INSTALL(FILES ${LIBRARY_OUTPUT_PATH}/libFedTime.def
-            DESTINATION lib)
-ENDIF (MINGW)
-
-SET_TARGET_PROPERTIES(FedTime PROPERTIES VERSION 1.0.0 SOVERSION 1)
-
-# Install rules for both libCERTI and libFedTime
-INSTALL(TARGETS CERTI FedTime
+INSTALL(TARGETS CERTI
     RUNTIME DESTINATION bin
     LIBRARY DESTINATION lib
     ARCHIVE DESTINATION lib)
Index: libCERTI/LBTS.cc
===================================================================
RCS file: /sources/certi/certi/libCERTI/LBTS.cc,v
retrieving revision 3.12
diff -u -r3.12 LBTS.cc
--- libCERTI/LBTS.cc	7 Dec 2008 20:16:14 -0000	3.12
+++ libCERTI/LBTS.cc	2 Apr 2009 19:56:32 -0000
@@ -122,7 +122,7 @@
 void
 LBTS::update(FederateHandle num_fed, FederationTime time)
 {
-    D.Out(pdDebug, "LBTS.update: Updating federate %d(%f).", num_fed, time);
+    D.Out(pdDebug, "LBTS.update: Updating federate %d(%f).", num_fed, time.getTime());
 
     ClockSet::iterator it = clocks.find(num_fed);
 
@@ -136,10 +136,10 @@
               num_fed);
     else {
         D.Out(pdDebug, "before LBTS.update: federate %u, old time %f.",
-              it->first, it->second);
+              it->first, it->second.getTime());
         it->second = time ;
         D.Out(pdDebug, "after LBTS.update: federate %u, new time %f.",
-              it->first, it->second) ;
+              it->first, it->second.getTime());
         compute();
     }
 }
Index: libCERTI/LBTS.hh
===================================================================
RCS file: /sources/certi/certi/libCERTI/LBTS.hh,v
retrieving revision 3.8
diff -u -r3.8 LBTS.hh
--- libCERTI/LBTS.hh	20 Nov 2007 09:04:54 -0000	3.8
+++ libCERTI/LBTS.hh	2 Apr 2009 19:56:32 -0000
@@ -19,17 +19,18 @@
 // Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 // USA
 //
-// $Id: LBTS.hh,v 3.8 2007/11/20 09:04:54 erk Exp $
+// $Id: LBTS.hh,v 3.8.8.1 2009/01/05 13:34:51 gotthardp Exp $
 // ----------------------------------------------------------------------------
 
 #ifndef LIBCERTI_LBTS_HH
 #define LIBCERTI_LBTS_HH
 
 #include "certi.hh"
+#include "FedTimeD.hh"
 
 #ifndef _WIN32				
-#include <unistd.h>
-#include <stdlib.h>
+#include <unistd.h>
+#include <stdlib.h>
 #endif
 
 #include <map>
@@ -68,4 +69,4 @@
 
 #endif // LIBCERTI_LBTS_HH
 
-// $Id: LBTS.hh,v 3.8 2007/11/20 09:04:54 erk Exp $
+// $Id: LBTS.hh,v 3.8.8.1 2009/01/05 13:34:51 gotthardp Exp $
